Create a new Dependent
curl --request POST \
--url https://fulfillment.noyo.com/api/v1/employees/{employee_id}/dependents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"person": {
"contact": {
"email_address": "jamie@testemail.com",
"email_address_type": "home",
"home_phone": "+12065551234"
},
"date_of_birth": "2000-01-02",
"first_name": "Jamie",
"home_address": {
"city": "San Francisco",
"county": "San Francisco",
"state": "CA",
"street_one": "1234 Home Ave",
"zip_code": "94107"
},
"last_name": "Johnson",
"marital_status": "single",
"sex": "F",
"ssn": "384032999"
},
"relationship": "child"
}
'import requests
url = "https://fulfillment.noyo.com/api/v1/employees/{employee_id}/dependents"
payload = {
"person": {
"contact": {
"email_address": "jamie@testemail.com",
"email_address_type": "home",
"home_phone": "+12065551234"
},
"date_of_birth": "2000-01-02",
"first_name": "Jamie",
"home_address": {
"city": "San Francisco",
"county": "San Francisco",
"state": "CA",
"street_one": "1234 Home Ave",
"zip_code": "94107"
},
"last_name": "Johnson",
"marital_status": "single",
"sex": "F",
"ssn": "384032999"
},
"relationship": "child"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
person: {
contact: {
email_address: 'jamie@testemail.com',
email_address_type: 'home',
home_phone: '+12065551234'
},
date_of_birth: '2000-01-02',
first_name: 'Jamie',
home_address: {
city: 'San Francisco',
county: 'San Francisco',
state: 'CA',
street_one: '1234 Home Ave',
zip_code: '94107'
},
last_name: 'Johnson',
marital_status: 'single',
sex: 'F',
ssn: '384032999'
},
relationship: 'child'
})
};
fetch('https://fulfillment.noyo.com/api/v1/employees/{employee_id}/dependents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created": 1626281253,
"employee_id": "30b74a44-d5b1-4123-a7a4-6d3aec251ba4",
"id": "fd62665c-0846-4e9d-bd29-80779b5f685c",
"modified": 1626281253,
"person": {
"contact": {
"email_address": "jamie@testemail.com",
"email_address_type": "home",
"home_phone": "+12065551234"
},
"date_of_birth": "2000-01-02",
"first_name": "Jamie",
"home_address": {
"city": "San Francisco",
"county": "San Francisco",
"state": "CA",
"street_one": "1234 Home Ave",
"zip_code": "94107"
},
"last_name": "Johnson",
"marital_status": "single",
"sex": "F",
"ssn": "384032999"
},
"relationship": "child",
"version": "669fbe16-9960-4069-91aa-832ada3f4e42"
}Requests
Create a new Dependent
Create a new dependent for an employee.
POST
/
api
/
v1
/
employees
/
{employee_id}
/
dependents
Create a new Dependent
The Member Request workflow is now deprecated in favor of using Member
Snapshot
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of the employee the dependent belongs to
Example:
"30b74a44-d5b1-4123-a7a4-6d3aec251ba4"
Body
application/json
Personal information for the dependent
Show child attributes
Show child attributes
Relationship of the dependent to the employee
Available options:
spouse, child, domestic-partner, grandchild, civil-union, step-child, foster-child, adopted-child, legal-guardianship, ex-spouse, other Response
201 - application/json
Successful Response - Returns the new Dependent
The date the record was originated
Unique identifier of the employee in Noyo
Unique identifier of the dependent in Noyo
The date the record was last updated
Personal information for the dependent
Show child attributes
Show child attributes
Relationship of the dependent to the employee
Available options:
spouse, child, domestic-partner, grandchild, civil-union, step-child, foster-child, adopted-child, legal-guardianship, ex-spouse, other Version of the dependent record
The custom identifier for this dependent in your system
Was this page helpful?
⌘I
